* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
}

.menu .gallery {
    max-width: 1200px;
    padding: 40px 20px;
    margin: 0 auto 40px;
}

.cards, .gallery-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
    margin-top: 20px;
}

.gallery-grid img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 10px;
    display: block;
}

header, footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 1em;
}

main {
    padding: 1rem;
    flex: 1;
}

.card {
    background-color: #f4f4f4;
    padding: 30px 20px;
    border-radius: 10px;
    text-align: center;
}

/* TABLET */
@media (min-width: 768px) {
    .cards,
    .gallery-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* DESKTOP */
@media (min-width: 1024px) {
    .cards,
    .gallery-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 900px) {
    .cards {
        grid-template-columns: 1fr;
    }
}
